Search knowledge
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/knowledge/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"index_name": "<string>",
"query": "<string>",
"filter": [
{}
],
"include_tests": false,
"limit": 10,
"threshold": 0.25
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/knowledge/search"
payload = {
"index_name": "<string>",
"query": "<string>",
"filter": [{}],
"include_tests": False,
"limit": 10,
"threshold": 0.25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
index_name: '<string>',
query: '<string>',
filter: [{}],
include_tests: false,
limit: 10,
threshold: 0.25
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/knowledge/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"content": "<string>",
"end_line": 123,
"language": "<string>",
"relative_path": "<string>",
"score": 123,
"start_line": 123
}
],
"success": true
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Knowledge
Search knowledge
Perform semantic search across indexed code with automatic global fallback
POST
/
api
/
v1
/
knowledge
/
search
Search knowledge
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
⌘I

